Bug 1419671 - candidate repos used in release RPM
Summary: candidate repos used in release RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-release
Classification: oVirt
Component: Packaging.rpm
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: ovirt-4.1.1
: 4.1.1
Assignee: Sandro Bonazzola
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 17:34 UTC by Evgheni Dereveanchin
Modified: 2019-04-28 13:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-04-21 09:35:12 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1+


Attachments (Terms of Use)

Description Evgheni Dereveanchin 2017-02-06 17:34:50 UTC
Description of problem:
The ovirt-release41 RPM defines "candidate" repos while "release" ones exist for the CentOS Virt SIG

Version-Release number of selected component (if applicable):
ovirt-release41-4.1.0-1.el7.centos.noarch

How reproducible:
always

Steps to Reproduce:
1. yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm
2. grep -r candidate /etc/yum.repos.d/

Actual results:
/etc/yum.repos.d/ovirt-4.1-dependencies.repo:[centos-ovirt41-candidate]
/etc/yum.repos.d/ovirt-4.1-dependencies.repo:baseurl=http://cbs.centos.org/repos/virt7-ovirt-41-candidate/$basearch/os/
/etc/yum.repos.d/ovirt-4.1-dependencies.repo:[centos-ovirt-common-candidate]
/etc/yum.repos.d/ovirt-4.1-dependencies.repo:baseurl=http://cbs.centos.org/repos/virt7-ovirt-common-candidate/$basearch/os/


Expected results:
candidate releases not included into final release RPM

Additional info:
"virt7-ovirt-41-release" repository does seem to exist on the server:
http://cbs.centos.org/repos/

Comment 1 Evgheni Dereveanchin 2017-02-06 18:00:55 UTC
Another repo with a dubious name is "centos-opstools-testing" which is disabled by default on ppc64le so not sure if required on x86_64. If yes - we should probably rename it to drop the "testing" suffix.

Comment 2 Sandro Bonazzola 2017-02-07 16:17:37 UTC
Since CentOS Virt SIG is downstream of oVirt we released oVirt 4.1.0 pointing to candidate repos. Nothing dangerous here, we'll move to centos mirrors as soon as we finish to build and publish CentOS Virt SIG 4.1 builds to centos mirrors.

Comment 3 Evgheni Dereveanchin 2017-03-20 09:20:18 UTC
Now I see that centos-ovirt41-candidate has a newer vdsm version than ovirt repos. Is that expected?


# yum update
Loaded plugins: fastestmirror                                                                          
Loading mirror speeds from cached hostfile                                                                   
 * base: mirror.keystealth.org
 * epel: dl.fedoraproject.org
 * extras: centos-distro.1gservers.com
 * ovirt-4.1: resources.ovirt.org
 * ovirt-4.1-epel: dl.fedoraproject.org
 * updates: mirror.keystealth.org
Resolving Dependencies
--> Running transaction check
---> Package mom.noarch 0:0.5.8-1.el7.centos will be updated
---> Package mom.noarch 0:0.5.9-1.el7 will be an update
---> Package openvswitch.x86_64 0:2.6.90-1.el7.centos will be updated
---> Package openvswitch.x86_64 0:2.7.0-1.el7 will be an update
---> Package vdsm.x86_64 0:4.19.4-1.el7.centos will be updated
---> Package vdsm.x86_64 0:4.19.9-1.el7 will be an update
--> Processing Dependency: python-dateutil for package: vdsm-4.19.9-1.el7.x86_64
---> Package vdsm-api.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-api.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-cli.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-cli.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-hook-nestedvt.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-hook-nestedvt.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-hook-numa.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-hook-numa.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-hook-scratchpad.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-hook-scratchpad.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-hook-vmfex-dev.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-hook-vmfex-dev.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-jsonrpc.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-jsonrpc.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-python.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-python.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-xmlrpc.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-xmlrpc.noarch 0:4.19.9-1.el7 will be an update
---> Package vdsm-yajsonrpc.noarch 0:4.19.4-1.el7.centos will be updated
---> Package vdsm-yajsonrpc.noarch 0:4.19.9-1.el7 will be an update
--> Running transaction check
---> Package python-dateutil.noarch 0:1.5-7.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================
 Package                     Arch          Version                Repository                            Size
=============================================================================================================
Updating:
 mom                         noarch        0.5.9-1.el7            centos-ovirt-common-candidate        126 k
 openvswitch                 x86_64        2.7.0-1.el7            centos-ovirt41-candidate             2.5 M
 vdsm                        x86_64        4.19.9-1.el7           centos-ovirt41-candidate             653 k
 vdsm-api                    noarch        4.19.9-1.el7           centos-ovirt41-candidate             108 k
 vdsm-cli                    noarch        4.19.9-1.el7           centos-ovirt41-candidate              84 k
 vdsm-hook-nestedvt          noarch        4.19.9-1.el7           centos-ovirt41-candidate              21 k
 vdsm-hook-numa              noarch        4.19.9-1.el7           centos-ovirt41-candidate              21 k
 vdsm-hook-scratchpad        noarch        4.19.9-1.el7           centos-ovirt41-candidate              22 k
 vdsm-hook-vmfex-dev         noarch        4.19.9-1.el7           centos-ovirt41-candidate              23 k
 vdsm-jsonrpc                noarch        4.19.9-1.el7           centos-ovirt41-candidate              43 k
 vdsm-python                 noarch        4.19.9-1.el7           centos-ovirt41-candidate             792 k
 vdsm-xmlrpc                 noarch        4.19.9-1.el7           centos-ovirt41-candidate              42 k
 vdsm-yajsonrpc              noarch        4.19.9-1.el7           centos-ovirt41-candidate              44 k
Installing for dependencies:
 python-dateutil             noarch        1.5-7.el7              base                                  85 k

Transaction Summary
=============================================================================================================
Install              ( 1 Dependent package)
Upgrade  13 Packages

Total download size: 4.5 M
Is this ok [y/d/N]:

Comment 4 Lucie Leistnerova 2017-04-04 12:02:04 UTC
There are no candidate repos after installing http://resources.ovirt.org/pub/yum-repo/ovirt-release41.rpm.

verified in ovirt-release41-4.1.1-1.el7.centos.noarch


Note You need to log in before you can comment on or make changes to this bug.